Skip to main content
GET
/
{org}
/
sync-runs
/
{syncRunId}
Get sync run
curl --request GET \
  --url https://api.mesa.dev/v1/{org}/sync-runs/{syncRunId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "repo_id": "<string>",
  "direction": "pull",
  "status": "queued",
  "attempt": 123,
  "stats": {
    "refs": [
      {
        "name": "<string>",
        "before": "<string>",
        "after": "<string>",
        "outcome": "updated"
      }
    ]
  },
  "error": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "started_at": "2023-11-07T05:31:56Z",
  "finished_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mesa.dev/llms.txt

Use this file to discover all available pages before exploring further.

Required scope: read

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required
Minimum string length: 1
syncRunId
string
required
Minimum string length: 1

Response

Sync run

id
string
required
repo_id
string
required
direction
enum<string>
required
Available options:
pull,
push
status
enum<string>
required
Available options:
queued,
in_progress,
completed,
failed
attempt
integer
required
stats
object
required
error
string | null
required
created_at
string<date-time>
required
started_at
string<date-time> | null
required
finished_at
string<date-time> | null
required